{
  "id": "2deb69eb-c7cb-4891-96dd-dba9575a90e2",
  "prevId": "9ee9dfcc-a6a7-4d5a-96ff-1ab1369f53d3",
  "version": "7",
  "dialect": "postgresql",
  "tables": {
    "public.modules": {
      "name": "modules",
      "schema": "",
      "columns": {
        "module_id": {
          "name": "module_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "roles": {
          "name": "roles",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'[\"view\", \"systemAdmin\"]'"
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "module_name": {
          "name": "module_name",
          "columns": [
            {
              "expression": "name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.roles": {
      "name": "roles",
      "schema": "",
      "columns": {
        "role_id": {
          "name": "role_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "role_name": {
          "name": "role_name",
          "columns": [
            {
              "expression": "name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.settings": {
      "name": "settings",
      "schema": "",
      "columns": {
        "role_id": {
          "name": "role_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "value": {
          "name": "value",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "module_id": {
          "name": "module_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "role": {
          "name": "role",
          "type": "json",
          "primaryKey": false,
          "notNull": true,
          "default": "'[\"systemAdmin\"]'::json"
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "name": {
          "name": "name",
          "columns": [
            {
              "expression": "name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {
        "settings_module_id_modules_module_id_fk": {
          "name": "settings_module_id_modules_module_id_fk",
          "tableFrom": "settings",
          "tableTo": "modules",
          "columnsFrom": [
            "module_id"
          ],
          "columnsTo": [
            "module_id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.userRoles": {
      "name": "userRoles",
      "schema": "",
      "columns": {
        "user_id": {
          "name": "user_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "role_id": {
          "name": "role_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "module_id": {
          "name": "module_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "role": {
          "name": "role",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "user_module_unique": {
          "name": "user_module_unique",
          "columns": [
            {
              "expression": "user_id",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            },
            {
              "expression": "module_id",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {
        "userRoles_user_id_users_user_id_fk": {
          "name": "userRoles_user_id_users_user_id_fk",
          "tableFrom": "userRoles",
          "tableTo": "users",
          "columnsFrom": [
            "user_id"
          ],
          "columnsTo": [
            "user_id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        },
        "userRoles_role_id_roles_role_id_fk": {
          "name": "userRoles_role_id_roles_role_id_fk",
          "tableFrom": "userRoles",
          "tableTo": "roles",
          "columnsFrom": [
            "role_id"
          ],
          "columnsTo": [
            "role_id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        },
        "userRoles_module_id_modules_module_id_fk": {
          "name": "userRoles_module_id_modules_module_id_fk",
          "tableFrom": "userRoles",
          "tableTo": "modules",
          "columnsFrom": [
            "module_id"
          ],
          "columnsTo": [
            "module_id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.users": {
      "name": "users",
      "schema": "",
      "columns": {
        "user_id": {
          "name": "user_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "username": {
          "name": "username",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "email": {
          "name": "email",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "password": {
          "name": "password",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "passwordToken": {
          "name": "passwordToken",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "passwordTokenExpires": {
          "name": "passwordTokenExpires",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": true,
          "default": true
        },
        "pingcode": {
          "name": "pingcode",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "role": {
          "name": "role",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'user'"
        },
        "lastLogin": {
          "name": "lastLogin",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "username": {
          "name": "username",
          "columns": [
            {
              "expression": "username",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    }
  },
  "enums": {},
  "schemas": {},
  "sequences": {},
  "roles": {},
  "policies": {},
  "views": {},
  "_meta": {
    "columns": {},
    "schemas": {},
    "tables": {}
  }
}